Firefox Sync Non-start

I’ve been using the Firefox 4.0 betas recently, and I just noticed that Firefox Sync is available without a plug-in. I had never used Firefox Sync before, but I currently have 32 tabs across 4 windows currently open in my 3.6.10 install and it would be nice to be able to open them all in ff4 and see how the performance is, relatively speaking.

Firefox Sync seemed to be the best way to do it.

So, I installed the plug-in into 3.6.10 and restarted Firefox. I clicked on the sync button in my status bar and I was asked to fill-out the registration information. I always use KeePass for everything, so I created a new entry in KeePass and had it auto-generate a password. I tried dragging-and-dropping the password from KeePass but the “Next” button in the registration wizard remained grayed-out and unclickable. Weird. I tried typing a few things and got “too short” and “mismatched password” messages, so I tried good-old copy-and-paste and finally got it working. :(

I created an encryption key and appeared to get everything sync’d with the server. It’s tough to tell that it worked, because there is no feedback. Oh, well. The proof will be when ff4 grabs all those tabs and loads everything.

So, I go over to ff4 and click the sync icon in the status bar. I choose “I have used Firefox Sync on another computer” and it asks for my username and password. I enter my email address as my username and the password from KeePass, and get an error: Incorrect username and password.

Boo.

I check everything out, and I haven’t made any mistakes: I copy/pasted everything and it’s still not working. So I get smart and navigate to about:config in both browsers. I search for keys like ‘sync’ in both and notice that there are a bunch of non-default values in 3.6.10 that aren’t set in 4.0b. Not surprising. I start to read through them. I tried to set ‘services.sync.account’ to my email address to trick ff4 into thinking I had set up sync so I could just go in and modify whatever I wanted using the “Sync Preferences” interface. No luck.

I noticed further down that there is a ‘services.sync.username’ key (the last one alphabetically, so I didn’t notice it at first’ and the value is some crazy thing I’ve never seen before. So, I copy that thing from Firefox 3.6.10’s about:config into the username field in the setup wizard in 4.0b, click “Next” and it accepts the password. Next question: what should happen on first sync? I choose “replace this computer with the sync server’s contents”: I want to get all my 3.6.10 stuff into 4.0, and I don’t care what I have already in 4.0.

I press the sync button and I get a message: Error while syncing. Looking in the Error Console, I can see it says “2010-10-14 17:53:54    Service.Main         WARN    Upgrade required to access newer storage version”. Fantastic. I evidently have the latest version of the Add-On in 3.6.10 and the latest built-in in beta (4.0b6) and they are incompatible.

Again, Boo.

So, I start looking at about:config again. services.sync.lastversion=”@weave_version@” in 4.0b. That looks like an RCS replacement string. In 3.6.10, it’s set to “1.5”. I try manually setting it to “1.5” in 4.0. No dice.

I start Googling for all kinds of things and wasn’t finding much (ever search for “XYZ doesn’t work”?). Finally, I stumbled onto these pages: http://groups.google.com/group/mozilla-labs-weave/browse_thread/thread/eb5ca48e5cd54713/69c68e11b85f2a38?hide_quotes=no and http://snarkfest.net/blog/2010/09/28/using-sync-on-the-bleeding-edge/

Evidently, since I’m using Portable Firefox, I’m a version behind and therefore incompatible with the version of the Add-On I just installed into 3.6.10.

Sigh.

I’ll see about upgrading. At least it didn’t completely toast all my tabs, etc. Just in case, I’ve already made a backup copy using the Session Manager add-on which has saved my digital life several times over.

Update: So, Firefox 4.0b7 didn’t ship at the same time as Firefox Sync 1.5, so the beta is now out-of-date. Looks like an upgrade to the add-on should work? Sounds counter-intuitive.

Update (2010-10-15): I installed the Firefox Sync 1.5 plug-in into ff4.0b and restarted the browser. I re-configured the sync (which looked a lot like the process built-into ff4b6 already, and not the process that I went through with the plug-in over in 3.6.10) and I’m still getting the same error. All advice I can find online is to install the plug-in into 4.0b6, but it appears that the plug-in doesn’t get used. Still waiting for 4.0b7. :(

Comments are closed.